% Ex 3-15
% Generation of two independent Gaussian RVs
%
% m : mean, sigma : standard deviation
%
clear all;
%
M=1000;    % the number of samples
m=0;       % mean
sigma=1;   % standard deviation
%
%
for i=1:M,
    y=rand;
    a=rand;
    r(i)=sqrt(2*sigma^2 *log(1/(1-y)));   % Rayleigh dist.
    Theta=2*pi*a;
    u(i) = r(i)*cos(Theta);               % Gaussian RV 1
    v(i) = r(i)*sin(Theta);               % Gaussian RV 2
end;
%
plot(1:M,u);
grid;
axis([1 1000 -3 3])
xlabel('Samples');
ylabel('u');